<?php get_header(); ?>

<?php get_sidebar(); ?>

	<div id="content" class="narrowcolumn">

		<?php if (have_posts()) : ?>

		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>

	<?php if (function_exists('lang_picker_respect_more')) : ?>
		<h2 class="pagetitle"><?php printf(__('Архив рубрики &laquo;%1$s&raquo; '), lang_picker_respect_more(single_cat_title('',false))); ?></h2>
	<?php else : ?>
		<h2 class="pagetitle"><?php printf(__('Архив рубрики &laquo;%1$s&raquo;'), single_cat_title('',false)); ?></h2>
	<?php endif; ?>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php printf(__('Архив за %1$s'), get_the_time(__('d M Y'))); ?></h2>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle"><?php printf(__('Архив за %1$s'), get_the_time(__('F Y'))); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php printf(__('Архив за %1$s'), get_the_time('Y')); ?></h2>

	  <?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2 class="pagetitle"><?php _e('Результаты поиска'); ?></h2>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle"><?php _e('Архив автора'); ?></h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle"><?php _e('Архив сайта'); ?></h2>

		<?php } ?>


		<div class="navigation">
			<?php if (function_exists('gengo_previous_post_link')) : ?>
					<div class="alignleft"><?php gengo_next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php gengo_previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php else : ?>
					<div class="alignleft"><?php next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php endif; ?>
		</div>

		<?php while (have_posts()) : the_post(); ?>
		<div class="post">
			<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Постоянная ссылка: %1$s'), the_title('', '', false)); ?>"><?php the_title(); ?></a></h3>
			<small><?php the_time(__('d M Y')) ?></small>

				<div class="entry">
					<?php the_content(__('(далее...)')) ?>
				</div>

			<p class="postmetadata"><?php _e('Рубрика:'); echo ' '; the_category(', '); ?> <strong>|</strong> <?php edit_post_link(__('Править'),'','<strong>|</strong>'); ?>  <?php comments_popup_link(__('Отзывов нет &#187;'), __('1 отзыв &#187;'), __('Отзывов % &#187;'), '', __('Комментарии закрыты')); ?></p>

			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<?php if (function_exists('gengo_previous_post_link')) : ?>
					<div class="alignleft"><?php gengo_next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php gengo_previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php else : ?>
					<div class="alignleft"><?php next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php endif; ?>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('Не найдено'); ?></h2>
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

	</div>

<?php get_footer(); ?>