<?php get_header(); ?>

<?php get_sidebar(); ?>

	<div id="content" class="narrowcolumn">

	<?php if (have_posts()) : ?>

		<h2 class="pagetitle"><?php _e('Результаты поиска'); ?></h2>

		<div class="navigation">
			<?php if (function_exists('gengo_previous_post_link')) : ?>
					<div class="alignleft"><?php gengo_next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php gengo_previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php else : ?>
					<div class="alignleft"><?php next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php endif; ?>
		</div>


		<?php while (have_posts()) : the_post(); ?>

			<div class="post">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Постоянная ссылка:'); the_title(); ?>"><?php the_title(); ?></a></h3>
				<small><?php the_time(__('d M Y')) ?></small>



				<p class="postmetadata"><?php _e('Рубрика:'); echo ' '; the_category(', ') ?> <strong>|</strong> <?php edit_post_link(__('Править'),'','<strong>|</strong>'); ?>  <?php comments_popup_link(__('Ваш отзыв &#187;'), __('1 отзыв &#187;'), __('Отзывов: % &#187;'), '', __('Отзывы закрыты')); ?></p>


			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<?php if (function_exists('gengo_previous_post_link')) : ?>
					<div class="alignleft"><?php gengo_next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php gengo_previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php else : ?>
					<div class="alignleft"><?php next_posts_link(__('&laquo; Раньше')) ?></div>
					<div class="alignright"><?php previous_posts_link(__('Позже &raquo;')) ?></div>
			<?php endif; ?>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('Ничего не найдено. Попробуете по другому запросу?') ?></h2>
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

	</div>

<?php get_footer(); ?>